### Signal

# Xdp Settings::changed

#### Declaration

    void
    changed (
      XdpSettings* self,
      gchar* namespace,
      gchar* key,
      GVariant* value,
      gpointer user_data
    )

#### Description [src]

Emitted when a setting value is changed externally.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`namespace`

  Type: `gchar*`

  The value namespace.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`key`

  Type: `gchar*`

  The value key.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `GVariant`

  The value.

  The data is owned by the caller of the function.